Subject: Re: [Fwd: Apologies for multiple messages (Please Help!)]
From: Herb Maeder <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 24 Oct 2008 12:42:33 -0700
List-Id: <cygwin.cygwin.com>

On 24 Oct 2008 18:28:24 BST, Dave Korn wrote:
> > (I've got a hunch that the root cause may be some miscommunication between
> > the servers due to timeouts or something, but I have no way to verify
> > that).
> 
>   You don't have access to the maeder.org server?

I have access to maeder.org, which is a very limited (and shared) vps at 
verio, but only as a user.  

I do not have access to any system log files or the mail queue.  And
surprisingly enough, the first level tech support guys also had limited
access, but I think I'm talking to the right level of people now.

> > How to stop the still repeating evil message?  I still haven't a clue...
> 
>   Those headers you showed us are completely conclusive:
> 
> > >From message 1:
> >   Received: from maeder.org (HELO maeder.org) (192.220.73.146)     by
> sourceware.org (qpsmtpd/0.31) with ESMTP; Thu, 23 Oct 2008 20:43:33 +0000
> >   Received: (qmail 86029 invoked by uid 18834); 23 Oct 2008 20:43:31 -0000
> > 
> > >From message 2:
> >   Received: from maeder.org (HELO maeder.org) (192.220.73.146)     by
> sourceware.org (qpsmtpd/0.31) with ESMTP; Thu, 23 Oct 2008 20:50:13 +0000
> >   Received: (qmail 86029 invoked by uid 18834); 23 Oct 2008 20:43:31 -0000
> > 
> > >From message 3:
> >   Received: from maeder.org (HELO maeder.org) (192.220.73.146)     by
> sourceware.org (qpsmtpd/0.31) with ESMTP; Thu, 23 Oct 2008 21:10:13 +0000
> >   Received: (qmail 86029 invoked by uid 18834); 23 Oct 2008 20:43:31 -0000
> 
> 
>   What this shows is that maeder.org (192.220.73.146) is repeatedly contacting
> sourceware.org to deliver the mail.  You sent the mail once only - the
> repeated (qmail invoked by uid) lines all have the same stamp; your local MTA
> accepted and spooled it, and is trying to send it to sourceware.org.  Because
> it has no msgid, sourceware.org thinks it's a new message every time.  The
> problem is caused by the fact that sourceware.org accepts the post, but
> maeder.org thinks it hasn't, and retries a while later (looks like a slowly
> increasing backoff is involved).
> 
>   You need to look at the mail logs on maeder.org and see what it thinks has
> happened during the conversation at sourceware.org.  It may be that
> sourceware.org is bogusly both accepting the mail and yet indicating an error
> code to maeder.org, or it may be that maeder.org is misinterpreting the status
> code from sourceware.org and only thinking it means "not accepted" when it in
> fact means something like "accepted with warnings".
> 
>   I don't have access to the sourceware logs, but you may be able to read
> /var/log/maillog on maeder.org even if you only have standard user-level
> access, it's quite common not to need root access just to read the logs.

Thanks for the insight and confirmation of my suspicions as to what was
going on (and for giving me some good ammo for dealing with my isp).

They were able to look at my mail queue on maeder.org and make sure it was
all clear, I have no outgoing messages in the queue.  They also cannot
find any indication that the was sent multiple times.  But unfortunately,
another message got sent to the list while they I was on the phone with
them, so clearly the problem is not fixed.  

I am now back to believing that I cannot stop the message from being sent
from my end (that's not so say that the problem is not really at
maeder.org, but I am stuck again).  I really need to get in touch with
someone that can take a look at the equivalent logs and queues on the
sourceware.org side to see what is going on there.

I'm happy to have "my people" talk to "their people" in order to sort it
out if needed.

I sent mail to postmaster AT sourceware.org, as Larry suggested, but have
not heard from anyone yet.

Herb.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/